SNARFER(1)

NAME
snarfer - manage the snarf buffer

SYNOPSIS
snarfer [ -v ]

DESCRIPTION
Snarfer watches the snarf buffer for changes. Each time a program changes the snarf buffer contents, snarfer copies the new contents and then takes over control of the buffer. Because the snarf buffer contents are managed by snarfer instead of by individual programs, the contents remain available even after the program that wrote them exits.

The -v option, intended for debugging, causes snarfer to print the new snarf buffer contents each time it changes.

On Mac OS X, running snarfer keeps the X11 snarf buffer in sync with the Carbon snarf buffer, working around a bug in the OS X X11 server. See getsnarf(3) for more details.

SOURCE
/usr/local/plan9/src/cmd/snarfer.c

SEE ALSO
Unix's xclipboard(1), getsnarf(3)

BUGS
Both xclipboard and snarfer want sole control of the snarf buffer. Running both at the same time will pass the snarf buffer back and forth between them in an infinite loop.